@if (componentData$ | async; as componentData) {
  <div class="full-width full-height p-10" style="overflow: auto">
    <div class="header-color">
      {{ 'sqtm-core.entity.test-step.action.singular' | translate }}
    </div>
    <div class="m-t-5 block-border">
      <sqtm-core-editable-rich-text
        #action
        [value]="componentData.actionStep.action"
        [editable]="isEditable(componentData)"
        [focus]="true"
        (confirmEvent)="changeAction($event)"
        [attr.data-test-field-id]="'action'"
      ></sqtm-core-editable-rich-text>
    </div>
    <div class="m-t-15 header-color">
      {{ 'sqtm-core.entity.test-step.expected-result.label' | translate }}
    </div>
    <div class="m-t-5 block-border">
      <sqtm-core-editable-rich-text
        #expectedResult
        [value]="componentData.actionStep.expectedResult"
        [editable]="isEditable(componentData)"
        [focus]="true"
        (confirmEvent)="changeExpectedResult($event)"
        [attr.data-test-field-id]="'result'"
      ></sqtm-core-editable-rich-text>
    </div>
    @if (customFieldData$ | async; as customFieldData) {
      @if (customFieldData.length > 0) {
        @if (customFieldData.length > 0) {
          <div style="overflow: hidden">
            <div class="m-t-15 m-b-5 header-color">
              {{ 'sqtm-core.entity.custom-field.label.plural' | translate }}
            </div>
            <div class="custom-fields m-t-5 block-border">
              @for (cfd of customFieldData; track trackCfd($index, cfd)) {
                <sqtm-core-label
                  class="test-case-grid-first-column m-l-10"
                  [text]="cfd.label"
                >
                </sqtm-core-label>
                <div class="test-case-grid-group-three-column">
                  <sqtm-core-custom-field-widget
                    [sqtmCoreEntityCustomField]="cfd"
                  >
                  </sqtm-core-custom-field-widget>
                </div>
              }
            </div>
          </div>
        }
      }
    }
    <div>
      <div class="m-t-10 m-b-5 header-color">
        {{ 'sqtm-core.entity.attachment.label.long.plural' | translate }}
        @if (isEditable(componentData)) {
          <sqtm-core-attachment-file-selector
            (uploadFilesEvent)="addAttachment($event, componentData.actionStep)"
          >
            <i
              class="current-workspace-main-color m-l-10 font-14-px __hover_pointer"
              nz-icon
              nzType="sqtm-core-generic:plus"
              nzTheme="outline"
            ></i>
          </sqtm-core-attachment-file-selector>
        }
      </div>
      <div class="block-border p-l-10">
        <sqtm-core-attachment-list-compact
          [attachments]="getAttachments(componentData.actionStep)"
          [attachmentListId]="componentData.actionStep.attachmentList.id"
          [canAttach]="isEditable(componentData)"
          [showDeleteButton]="false"
          (deleteAttachmentEvent)="deleteAttachment($event)"
          (confirmDeleteAttachmentEvent)="
            confirmDeleteAttachmentEvent($event, componentData.actionStep)
          "
          (cancelDeleteAttachmentEvent)="cancelDeleteAttachmentEvent($event)"
          (removeRejectedAttachmentEvent)="removeRejectedAttachment($event)"
        >
        </sqtm-core-attachment-list-compact>
      </div>
    </div>
  </div>
}
